# HealthInsuranceCardRecognitionResult class

This class describes health insurance rtu-ui component scanned result

Inheritance
  - Object
  - Result
  - HealthInsuranceCardRecognitionResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

HealthInsuranceCardRecognitionResult(List<HealthInsuranceCardField> fields, HealthInsuranceCardDetectionStatus? status)
HealthInsuranceCardRecognitionResult.canceled()
HealthInsuranceCardRecognitionResult.error(String message)
HealthInsuranceCardRecognitionResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

fields ↔ List<HealthInsuranceCardField>
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair inherited
operationResult ↔ OperationResult?
  Standard result status
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
status ↔ HealthInsuranceCardDetectionStatus?
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited